Skip to Content
Synthetic USD

Get best price

GET/synthetic-usd/best-pricePublic

Get the best ask and bid of the BTC/USD order book: the prices a swap fills at right now.

Response Body

OK

application/json
  1. response
askPrice*number

Best ask of the BTC/USD order book (in USD): USD to BTC swaps fill at it

bidPrice*number

Best bid of the BTC/USD order book (in USD): BTC to USD swaps fill at it

import { createHttpClient } from '@ln-markets/sdk/rest/v3'

const client = createHttpClient()

const result = await client.syntheticUsd.getBestPrice()
{
  "askPrice": 100000,
  "bidPrice": 100000
}